# $Revision: 1.29 $, $Date: 2002/11/12 21:34:46 $
Summary:	The GNU Mailing List Management System
Summary(es):	El Sistema de Mantenimiento de listas de GNU
Summary(pl):	System Zarzdzania Listami Pocztowymi GNU
Summary(pt_BR):	O Sistema de Manuteno de listas da GNU
Name:		mailman
Version:	2.0.13
Release:	6
Epoch:		3
License:	GPL v2+
Group:		Applications/System
Source0:	http://prdownloads.sourceforge.net/mailman/%{name}-%{version}.tgz
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-man-pages.tar.bz2
Patch0:		%{name}-multimail.patch
Patch1:		%{name}-admin.patch
Patch2:		%{name}-configure.patch
Patch3:		%{name}-no_env.patch
URL:		http://www.list.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	python >= 2.1
Requires(pre):	%{_sbindir}/useradd
Requires(pre):	%{_sbindir}/groupadd
Requires(post): /bin/hostname
Requires(postun):	%{_sbindir}/userdel
Requires(postun):	%{_sbindir}/groupdel
Requires:	crondaemon
Requires:	logrotate
Requires:	python-modules
Requires:	smtpdaemon
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mailman -- The GNU Mailing List Management System -- is a mailing list
management system written mostly in Python. Features:
- most standard mailing list features, including: moderation, mail
  based commands, digests, etc...
- an extensive Web interface, customizable on a per-list basis,
- web based list administration interface for *all* admin-type tasks
- automatic Web based hypermail-style archives (using pipermail or
  other external archiver), including provisions for private archives
- integrated mail list to newsgroup gatewaying
- integrated newsgroup to mail list gatewaying (polling-based... if
  you have access to the nntp server, you should be able to easily do
  non-polling based news->mail list gatewaying; email viega@list.org
  (I'd like to help get that going and come up with instructions)
- smart bounce detection and correction
- integrated fast bulk mailing
- smart spam protection
- extensible logging
- multiple list owners and moderators are possible
- optional MIME-compliant digests,
- nice about which machine you subscribed from if you're from the
  right domain,

See the Mailman home site for current status, including new releases and 
known problems: http://mailman.sourceforge.net.

%description -l es
Mailman -- El sistema de manutencin de listas de discusin de la
licencia GNU.

%description -l pl
Mailman -- System Zarzdzania Listami Pocztowymi GNU -- zosta
napisany gwnie w Pythonie. Jego moliwoci to:
- standardowe moliwoci: moderowanie, komendy przesyane poczt,
  digesty itp,
- interfejs WWW konfigurowalny dla kadej listy,
- automatyczny system archiwizowania (z uyciem pipermaila lub innego
  zewntrznego archiwizera) wczajc w to odpowiednie zarzdzanie
  prywatnymi archiwami,
- bramki mail <-> news,
- doskonay system wykrywania odbi i korekcji odbitej poczty,
- system ochrony przed spamem,
- rozszerzone logowanie,
- listy mog by wasnoci wielu osb oraz moderatorw moe by
  kilku.

%description -l pt_BR
O Mailman -- O sistema de gerenciamento de listas de discusso do GNU
--  um sistema de gerenciamento de listas de discusso escrito em sua
maior parte em Python. Caractersticas:

- Maioria das caractersticas de lista de discusso padro, incluindo:
  moderao, comandos baseados em e-mail, compiladores (digests), etc...
- Uma interface extensiva da Web, personalizvel lista a lista.
- Interface de administrao de lista baseada na Web para *todas* as
  tarefas de tipo de admin.
- Arquivos automticos de estilo hypermail baseado na Web (usando
  pipermail ou outros arquivadores externos), incluindo provises para
  arquivos privados.
- Lista de e-mails integrada ao gateway de grupo de notcias.
- Grupo de notcias integrado ao gateway de lista de e-mail (baseado
  em consulta... se voc tiver acesso ao servidor nntp, deve ser fcil
  conseguir efetuar notcias baseadas em no-consulta->gateway de lista
  de e-mails; envie um e-mail a viega@list.org, eu gostaria de ajudar a
  manter isto e aparecer com instrues).
- Deteco e correo inteligente de mensagens retornadas.
- Envio de e-mail em massa rpido e integrado.
- Proteo inteligente contra spam.
- Registro amplivel.
- So possveis mltiplos donos e moderadores de lista.
- Compiladores (digests) opcionais compatveis com MIME.
- Informa a partir de qual mquina voc se inscreveu, caso esteja no
  domnio correto.

Veja o site do Mailman para saber o estado atual, incluindo novas verses 
e problemas conhecidos: http://mailman.sourceforge.net.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__aclocal}
%{__autoconf}

FQDN=localhost.localdomain \
URL=localhost.localdomain \
MAIL_GID=12,99 \
%configure \
	--prefix=%{_var}/lib/mailman \
	--exec-prefix=%{_libdir}/mailman \
	--with-var-prefix=%{_var}/spool/mailman \
	--with-username=%{name} \
	--with-groupname=%{name} \
	--with-mail-gid=mail,nobody,root \
	--with-cgi-gid=51 \
	--with-cgi-ext=.cgi

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}

%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_var}/lib/mailman \
	exec_prefix=$RPM_BUILD_ROOT%{_libdir}/mailman \
	var_prefix=$RPM_BUILD_ROOT%{_var}/spool/mailman

bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -n "`getgid %{name}`" ]; then
	if [ "`getgid %{name}`" != "94" ]; then
		echo "Error: group %{name} doesn't have gid=94. Correct this before installing %{name}." 1>&2
		exit 1
	fi
else
	echo "Adding group %{name} GID=94"
	/usr/sbin/groupadd -f -g 94 -r %{name}
fi

if [ -n "`id -u %{name} 2>/dev/null`" ]; then
	if [ "`id -u %{name}`" != "94" ]; then
		echo "Error: user %{name} doesn't have uid=94. Correct this before installing %{name}." 1>&2
		exit 1
	fi
else
	echo "Adding user %{name} UID=94"
	/usr/sbin/useradd -u 94 -r -d %{_var}/spool/%{name} -s /bin/false -c "GNU Mailing List Manager" -g %{name} %{name} 1>&2
fi

%post
if [ "$1" = "0" ]; then
	echo mailman >> /etc/cron/cron.allow
	crontab -u mailman /var/lib/mailman/cron/crontab.in
	echo "DEFAULT_HOST_NAME	= '`/bin/hostname -f`'" >> %{_var}/lib/mailman/Mailman/mm_cfg.py
	echo "DEFAULT_URL		= 'http://`/bin/hostname -f`/mailman/'" >> %{_var}/lib/mailman/Mailman/mm_cfg.py
	if [ -f /var/lock/subsys/crond ]; then
		/etc/rc.d/init.d/cron rstart
	fi
fi

%postun
if [ "$1" = "0" ]; then
        /usr/sbin/userdel       %{name}
        /usr/sbin/groupdel      %{name}
	grep -v mailman /etc/cron/cron.allow > /etc/cron/cron.allow.tmp
	mv -f /etc/cron/cron.allow.tmp /etc/cron/cron.allow
	if [ -f /var/lock/subsys/crond ]; then
		/etc/rc.d/init.d/cron rstart
	fi
fi

%files
%defattr(644,root,root,755)
%doc BUGS FAQ NEWS README README.LINUX README.EXIM README.SENDMAIL README.QMAIL TODO UPGRADING INSTALL
%{_mandir}/man?/*

%defattr(644,root,mailman,2775)
%dir %{_libdir}/mailman
%dir %{_libdir}/mailman/cgi-bin
%dir %{_libdir}/mailman/mail
%attr(2755,root,mailman) %{_libdir}/mailman/*/*

%dir %{_var}/lib/mailman
%dir %{_var}/lib/mailman/bin
%dir %{_var}/lib/mailman/cron
%dir %{_var}/lib/mailman/icons
%dir %{_var}/lib/mailman/scripts
%dir %{_var}/lib/mailman/templates
%{_var}/lib/mailman/Mailman
%{_var}/lib/mailman/bin/p*
%attr(2755,root,mailman) %{_var}/lib/mailman/bin/[^p]*
%{_var}/lib/mailman/cron/*
%{_var}/lib/mailman/scripts/*
%{_var}/lib/mailman/icons/*
%{_var}/lib/mailman/templates/*

%dir %{_var}/spool/mailman
%dir %{_var}/spool/mailman/archives
%attr(2771,root,mailman) %dir %{_var}/spool/mailman/archives/private
%dir %{_var}/spool/mailman/archives/public
%dir %{_var}/spool/mailman/data
%dir %{_var}/spool/mailman/filters
%dir %{_var}/spool/mailman/lists
%dir %{_var}/spool/mailman/locks
%dir %{_var}/spool/mailman/logs
%dir %{_var}/spool/mailman/qfiles
%dir %{_var}/spool/mailman/spam
%attr(664,root,mailman) %{_var}/spool/mailman/data/*
%attr(664,root,mailman) %{_var}/spool/mailman/filters/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mailman.spec,v $
Revision 1.29  2002/11/12 21:34:46  kloczek
- release 6,
- fixed http://bugs.pld.org.pl/?bug=426 (missing restart crond on install
  package after add mailman user to cron.allow),
- added restart crond on remove package,
- added remove mailman user from cron.allow on remove package,
- added crondaemon to Requires.

Revision 1.28  2002/09/23 12:32:11  orzech
- Req: python-modules
- release 5

Revision 1.27  2002/09/10 13:35:14  baggins
- requires(post) /bin/hostname

Revision 1.26  2002/09/09 17:24:42  baggins
- do some basic setup in %%post

Revision 1.25  2002/09/09 16:56:41  baggins
- more permission fixes

Revision 1.24  2002/09/09 16:45:09  baggins
- release 4
- cleaned up permissions mess

Revision 1.23  2002/09/09 16:22:05  baggins
- release 3.1
- FHS compliance - /var/state -> /var/lib

Revision 1.22  2002/09/01 19:54:45  kloczek
- relelase 3,
- added no_env patch: use directly #!/usr/bin/python in python scripts preamble
  so now mailman do not depends on /usr/bin/env.

Revision 1.21  2002/08/26 15:52:36  ankry
- added missing dir, release 2
STBR

Revision 1.20  2002/08/26 10:51:09  qboosh
- GPL v2+

Revision 1.19  2002/08/24 11:01:34  kloczek
- License: GPL v2.

Revision 1.18  2002/08/22 21:32:57  undefine
- mailman-configure.patch is back

Revision 1.17  2002/08/22 21:12:44  undefine
- remove debug value for mailgid

Revision 1.16  2002/08/22 17:48:34  undefine
- update to 2.0.13(small fixes)
- right(i think ;) permissions
- useradd/userdel/cron...
- it works for me

Revision 1.15  2002/08/06 02:50:37  kloczek
- updated to 2.0.12: closed two cross-site scripting vulnerabilities.

Revision 1.14  2002/05/21 23:14:07  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.13  2002/05/07 12:13:15  kloczek
- Epoch: 3 (for allow upgrade from RH).

Revision 1.12  2002/05/07 11:37:51  ankry
- updated to 2.0.10, NFY

Revision 1.11  2002/05/06 23:37:29  ankry
- fixed file permisions
- added man pages from Debian
- release 2

Revision 1.10  2002/02/22 23:29:14  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:13:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/12/22 09:28:57  kloczek
- added logrotate and smtpdaemon to Requires.

Revision 1.7  2001/12/14 20:18:22  kloczek
- merge translations from Conectiva.

Revision 1.6  2001/12/14 19:47:27  misiek
2.0.3->2.0.8

Revision 1.5  2001/10/11 08:28:40  qboosh
- BuildRequires: automake

Revision 1.4  2001/06/16 18:34:02  kloczek
- adapterized.

Revision 1.3  2001/04/12 21:59:53  martii
It's not builing when Python is not present in your linux box; fixed ...

Revision 1.2  2001/03/21 14:45:55  mis
- updated (by autoup) to 2.0.3

Revision 1.1  2001/03/04 11:34:16  misiek
new; almost raw
